version: '2'

services:
  nginx-proxy:
    image: jwilder/nginx-proxy
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
      - "/usr/share/nginx/html"
      - ./vhost.d:/etc/nginx/vhost.d:rw
      - "./certs:/etc/nginx/certs:rw"

    environment:
      - VIRTUAL_HOST=localhost 
      - LETSENCRYPT_HOST=localhost
      - LETSENCRYPT_EMAIL=email@localhost

  letsencrypt-nginx-proxy-companion:
    image: jrcs/letsencrypt-nginx-proxy-companion
    container_name: letsencrypt-nginx-proxy-companion
    volumes_from:
      - nginx-proxy
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock:ro"



  app1:
    image: jwilder/whoami

  app2:
    image: jwilder/whoami